Bug 1993886 - operand creation form doesn't render correct format
Summary: operand creation form doesn't render correct format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-16 10:48 UTC by Yadan Pei
Modified: 2021-10-18 17:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
4.8-Operand-Creation-Form (206.15 KB, image/png)
2021-08-16 10:48 UTC, Yadan Pei
no flags Details
4.9-Operand-Creation-Form (162.12 KB, image/png)
2021-08-16 10:48 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9855 0 None None None 2021-08-23 17:29:26 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:34 UTC

Description Yadan Pei 2021-08-16 10:48:03 UTC
Created attachment 1814397 [details]
4.8-Operand-Creation-Form

Description of problem:
from OCP 4.9, CRD apiVersion has been updated to apiextensions.k8s.io/v1 and schema has changed, 

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-14-065522

How reproducible:
Always

Steps to Reproduce:
1. Create mock operator CRD(new apiVersion) and CSV
$ oc project default
$ oc create -f https://gist.githubusercontent.com/TheRealJon/3680c8a573bde88a974588e269230562/raw/7d86f6691e9e2863ba5955e7bdb0aad3ff3791af/crd.yaml
$ oc create -f https://gist.githubusercontent.com/TheRealJon/3680c8a573bde88a974588e269230562/raw/7d86f6691e9e2863ba5955e7bdb0aad3ff3791af/csv.yaml
2. Create 'Mock Resource' operand using form view


Actual results:
2. some fields are not rendered with correct format, for example following fields with different x-descriptors are not rendered correctly(see screenshot) 

          - path: select
            description: select - Eu nisi fugiat occaecat laborum.
            displayName: "Select"
            x-descriptors:
              - "urn:alm:descriptor:com.tectonic.ui:select:DEBUG"
              - "urn:alm:descriptor:com.tectonic.ui:select:INFO"
              - "urn:alm:descriptor:com.tectonic.ui:select:WARN"
              - "urn:alm:descriptor:com.tectonic.ui:select:ERROR"
              - "urn:alm:descriptor:com.tectonic.ui:select:FATAL"
          - path: k8sResourcePrefix
            description: "k8sResourcePrefix - Amet magna ea exercitation sint et dolor deserunt quis."
            displayName: "K8s Resource Prefix"
            x-descriptors:
              - "urn:alm:descriptor:io.kubernetes:Project"
          - path: podCount
            description: "podCount - Quis laboris ea Lorem deserunt mollit commodo."
            displayName: "Pod Count"
            x-descriptors:
              - "urn:alm:descriptor:com.tectonic.ui:podCount"
          - path: password
            description: "password - Et culpa officia eiusmod labore eiusmod occaecat."
            displayName: "Password"
            x-descriptors:
              - "urn:alm:descriptor:com.tectonic.ui:password"

Expected results:
compared with OCP 4.8, these fields should be rendered with correct format, see screenshot


Additional info:
For comparison, in OCP 4.8, create mock operator CRD and CSV
$ oc apply -f https://raw.githubusercontent.com/openshift/cucushift/master/testdata/customresource/mock-operator-csv-and-crd.yaml?token=ADA2XHKSWRQNME2D3A7QPHLBENDU2

then create 'Mock Resource' operand using form view

Comment 1 Yadan Pei 2021-08-16 10:48:33 UTC
Created attachment 1814398 [details]
4.9-Operand-Creation-Form

Comment 4 Yadan Pei 2021-08-31 07:28:36 UTC
Create CRD and CSV as described in https://bugzilla.redhat.com/show_bug.cgi?id=1993886#c0, now all fields are rendering with correct format, verified on 4.9.0-0.nightly-2021-08-30-192239

Comment 7 errata-xmlrpc 2021-10-18 17:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.